ODMGR(1)

NAME
odmgr - administration utility for QDBM Odeum

SYNOPSIS
odmgr create name
odmgr put [-uri str] [-title str] [-author str] [-date str] [-wmax num] [-keep] name [file]
odmgr out [-id] name expr
odmgr get [-id] [-t|-h] name expr
odmgr search [-max num] [-or] [-idf] [-t|-h|-n] name words...
odmgr list [-t|-h] name
odmgr optimize name
odmgr inform name
odmgr merge name elems...
odmgr remove name
odmgr break [-h|-k|-s] [file]
odmgr version

DESCRIPTION
This manual page documents briefly the odmgr commands.

odmgr is a utility for debugging Odeum and its applications. It features editing and checking of a database. It can be used for full-text search systems with shell scripts. This command is used in the above format. name specifies a database name. file specifies a file name, expr specifies the URI or the ID number of a document, words specifies searching words. elems specifies element databases.

OPTIONS
A summary of options is included below. For a complete description, see the file:///usr/share/doc/qdbm-doc/spex.html#odeumcli .

-uri
    specify the URI of the document explicitly.

-title str
    specify the title of the document.

-author str
    specify the author of the document.

-date str
    specify the modified date of the document.

-wmax num
    specify the max number of words to be stored.

-keep
    the storing mode is not to be overwrite.

-id specify a document not by a URI but by an ID number.

-t  output the details of a document in tab separated format.

-h  output the details of a document in human-readable format.

-k  output keywords of a document.

-s  output summary of a document.

-max num
    specify the max number of documents of the output.

-or perform OR search, nut AND search.

-idf
    tune scores with IDF.

-n  show ID numbers and scores only.

SEE ALSO
qdbm(3), odidx(1), odeum(3). odopen(3).

AUTHOR
QDBM was written by Mikio Hirabayashi <mikio@fallabs.com>.

This manual page was written by Fumitoshi UKAI <ukai@debian.or.jp>, for the Debian project (but may be used by others).